Package org.eclipse.emf.cdo.lm.security

# Interface ModuleTypeFilter

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `LMFilter`, `Notifier`, `PermissionFilter`

All Known Implementing Classes:
  `ModuleTypeFilterImpl`

public interface ModuleTypeFilter extends LMFilter
A representation of the model object 'Module Type Filter'.

The following features are supported:

- `Module Type`
- `Include Untyped`

See Also:
  - `LMSecurityPackage.getModuleTypeFilter()`
Generated
Model

## Method Summary

Modifier and Type
Method
Description
`String`
`getModuleType()`
Returns the value of the 'Module Type' attribute.
`boolean`
`isIncludeUntyped()`
Returns the value of the 'Include Untyped' attribute.
`void`
`setIncludeUntyped(boolean value)`
Sets the value of the '`Include Untyped`' attribute.
`void`
`setModuleType(String value)`
Sets the value of the '`Module Type`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.lm.security.LMFilter

`isRegex, setRegex`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.security.PermissionFilter

`format, isApplicable, isImpacted`

## Method Details

### getModuleType

String getModuleType()
Returns the value of the 'Module Type' attribute.

Returns:
  the value of the 'Module Type' attribute.
See Also:
  - `setModuleType(String)`
  - `LMSecurityPackage.getModuleTypeFilter_ModuleType()`
Generated
Model

### setModuleType

void setModuleType(String value)
Sets the value of the '`Module Type`' attribute.

Parameters:
  `value` - the new value of the 'Module Type' attribute.
See Also:
  - `getModuleType()`
Generated

### isIncludeUntyped

boolean isIncludeUntyped()
Returns the value of the 'Include Untyped' attribute.

Returns:
  the value of the 'Include Untyped' attribute.
See Also:
  - `setIncludeUntyped(boolean)`
  - `LMSecurityPackage.getModuleTypeFilter_IncludeUntyped()`
Generated
Model

### setIncludeUntyped

void setIncludeUntyped(boolean value)
Sets the value of the '`Include Untyped`' attribute.

Parameters:
  `value` - the new value of the 'Include Untyped' attribute.
See Also:
  - `isIncludeUntyped()`
Generated